<?php
/*
    config.php
    
        Define global constants for use throughout the app
*/

/*
    General
*/
define('READ_ONLY', false);

/*
    Facebook
*/
define('FACEBOOK_APP_ID', '132989320146375');
define('FACEBOOK_APP_NAME', 'Ocean City Chatter');
define('FACEBOOK_SECRET_KEY', '53b0e269fe7e8e30033160a991d1888c');
define('FACEBOOK_CANVAS_URL', 'https://apps.facebook.com/occhatter/');
define('FACEBOOK_APP_SITEURL',  'https://oceancitychatter.com/');

// ++ WARNING: ALTERING THESE PERMISSIONS MAY BREAK APP FUNCTIONALITY! ++
define('REQUEST_PERMISSIONS', 'user_online_presence,friends_online_presence,email,publish_stream,user_activities,user_groups,user_interests,user_likes,friends_interests,friends_likes ');
// -- WARNING --

/*
    vBulletin API
*/
define('vB_SITE_ROOT', 'http://www.oceancitychatter.com/');
define('vB_API_KEY','8XhpKzwx');

// ++ WARNING: ALTERING ANY OF THE VALUES BELOW MAY BREAK APP FUNCTIONALITY! ++
define('CLIENT_NAME','vBulletin Facebook App');
define('CLIENT_VERSION','1.1.1');
define('PLATFORM_NAME','facebook');
define('PLATFORM_VERSION','4');
define('BUILD_TAG', 'ce5c57dc05c88217f68a47939d150294');
/// -- WARNING --

/*
    Advertisements
        See category_list.php for box_ad placement config
*/

define('BOX_AD', '');
define('BOTTOM_AD', '');
define('GA_KEY', 'ex. UA-XXXX-XX');

/*
    Categories
        weight: 
            This value is an editorial weight multiplied by a category's base relevancy, 
            adjust this to promote or demote a certain category that is getting seen too much
            or too little.
        cache_time:
            By default, the app tries to not call too many API functions too often, it slows
            the app, and puts a lot of load on the server. The defaults below should be
            good for most forums, be very careful adjusting them!
        relevant_period:
            Per category time period in seconds. This time period is the period in which the
            app expects content to be still relevant to the user. Setting this to an appropriate
            value is very important for good results, try adjusting these per category.
*/

$config['categories'] = array(
    "Newest_Threads" => array( "weight" =>  10.2, "cache_time" => 17, "relevant_period" => 2592000),
    "Popular_Threads" => array( "weight" =>  10.1, "cache_time" => 17, "relevant_period" => 2592000),
    "Subscribed_Threads" => array( "weight" =>  10.0, "cache_time" => 53, "relevant_period" => 2592000),
    "Recommended_Threads" => array( "weight" =>  0.01, "cache_time" => 71, "relevant_period" => 2592000),
    "Friends_All" => array( "weight" =>  100.9, "cache_time" => 41, "relevant_period" => 2592000),
    "Friends_Blogs" => array( "weight" =>  100.7, "cache_time" => 41, "relevant_period" => 2592000),
    "Friends_Threads" => array( "weight" =>  100.8, "cache_time" => 41, "relevant_period" => 2592000),
    "Friends_Articles" => array( "weight" =>  100.6, "cache_time" => 41, "relevant_period" => 2592000),
    "Newest_Blogs" => array( "weight" =>  9.7, "cache_time" => 17, "relevant_period" => 2592000),
    "Popular_Blogs" => array( "weight" =>  9.6, "cache_time" => 17, "relevant_period" => 2592000),
    "Newest_Photos" => array( "weight" =>  9.9, "cache_time" => 17, "relevant_period" => 2592000),
    "Popular_Photos" => array( "weight" =>  9.8, "cache_time" => 17, "relevant_period" => 2592000),
    "Newest_Articles" => array( "weight" =>  9.5, "cache_time" => 17, "relevant_period" => 2592000),
    "Popular_Articles" => array( "weight" =>  9.4, "cache_time" => 17, "relevant_period" => 2592000)
);
?>